# Kathryn Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

## 2.3.0 - 13 June 2019
* Replaced deprecated genesis_home() function for Genesis 3.0 compat
* Updated depreciated function for genesis_get_additional_image_sizes()
* Updated depreciated function for get_the_author_id()
* Updated depreciated argument for genesis_structural_wrap()
* Resolved issue with missing parameter in wsm_genesis_comment_form_args()

### Files Modified
* /functions.php
* /home.php
* /lib/structure/footer.php
* /lib/widgets/wsm-featured-page.php
* /lib/widgets/wsm-featured-post.php

## 2.2.1 - 26 April 2019
### Changed
- Add Upload image for title via customizer
- Remove deprecated create_function for php 7.2
- Remove warning on footer nav

### Files Modified
- /functions.php
- /lib/structure/footer.php
- /lib/widgets/call-to-action.php
- /lib/widgets/wsm-featured-page.php
- /lib/widgets/wsm-featured-post.php

## 2.2.0 - 12 July 2018
### Changed
- String replacements WSM to 9seeds
- Update comment form for GDPR cookie consent checkbox
- Update comment form for screen reader accessibility (form labels instead of place holder text).


### Files Modified
- /structure/comment-form.php
- /style.css

### Files With trivial string replacments
- /init.php
- /plugins/plugins.php
- /structure/comment-form.php
- /structure/footer.php
- /structure/sidebar.php
- style.css
- style-rtl.css

## 2.1.2 - 16 Sept 2017
* Changed update URL domain to https://9seeds.com
* Changed cache name to make updates from previous versions run more smoothly
* Disabled SSL for cURL, for servers which can't cURL from SSL sites
* Changed URL domain in "Update Downloads and Instructions" to https://9seeds.com
* Change widget constructor
* Convert to new Gravity Forms built-in placeholder functionality  
### Files Modified
* /style.css
* /lib/functions/update.php
* /lib/widgets/call-to-action.php
* /lib/widgets/wsm-featured-posts.php
* /lib/widgets/wsm-featured-page.php
* /lib/functions/gforms-placeholder.php (file removed)  
* /lib/js/modernizer.min.js (file removed)  

---

## 2.1.1 - 03 Feb 2015
* Bug fix for Blog title on posts
* Enable safe HTML in copyright and phone settings
* Enable shortcode use in copyright and footer credits

### Files Modified
* /style.css (version number only)
* /style-rtl.css (version number only)
* /functions.php
* /lib/admin/kathryn-theme-settings.php
* /lib/structure/footer.php

---

## 2.1.0 - 14 Nov 2014
* Added internationalization (i18n) support by wrapping all front-end facing text strings in a translation function  
* Added text domain in style.css and loaded text domain in functions.php  
* Added .pot file as basis for translations  
* Add .rtl stylesheet to be conditionally enqueued (instead of style.css) when WordPress language is set to an RTL script  
* Added English .po and .mo files  

### Files Modified
* /style.css  
* /style-rtl.css (new file added)
* /functions.php  
* /languages/en_US.mo (new directory and file added)
* /languages/en_US.po (new file added)
* /languages/kathryn.pot (new file added)

---

## 2.0.4 - 08 Oct 2014
* Fix sidebar code fatal error in some configurations
* Update plugin activation code to use remote location for Soliloquy install
* Removed depreciated function in theme update notification

### Files Modified
* /style.css (version number only)
* /lib/functions/update.php
* /lib/plugins/plugins.php
* /lib/plugins/class-tgm-plugin-activation.php
* /lib/plugins/packaged/ (directory removed)
* /lib/plugins/packaged/soliloquy.zip (file removed)
* /lib/structure/sidebar.php

---
## 2.0.3 - 06 Sept 2014
* Fix Gravity Forms placeholder script to deconflict with Soliloquy in WordPress 4.0
* Improved IE compatibility with some hosting environments
* Improved cache handling of theme updates
* CSS fix for lists on in Home Main Content
* Update Soliloquy to 2.3.5

### Files Modified
* /style.css
* /functions.php
* /lib/init.php
* /lib/functions/gforms-placeholder.php
* /lib/plugins/packaged/soliloquy.zip

---
## 2.0.2 - 02 Jul 2014
- Update packaged Soliloquy version to 2.3.3

### Files Modified
- /style.css (version number only)
- /lib/plugins/packaged/soliloquy.zip

---

## 2.0.1 - 22 Apr 2014
- Update packaged Soliloquy version to 2.2.9
- Remove theme-optin file

### Files Modified
- /style.css (version number only)
- /lib/admin/kathryn-theme-settings.php
- /lib/functions/theme-optin.php (file removed)
- /lib/plugins/packaged/soliloquy.zip

---

## 2.0.0 - 14 Jan 2014
This is a MAJOR REVISION of the theme which converts it to HTML5 and adds some new features. If updating from a previous version please review the Kathryn theme instructions for any special instuctions found here:
http://www.web-savvy-marketing.com/forum/kathryn-instructions/

* Converted theme to HTML5 standards
* Numerous coding standarization improvements throughout
* Improved Internet Explorer Compatibility
* Improved layout of Web Savvy Featured Posts widget for WordPress 3.8
* New method for Gravity Forms field placeholders
* Added Changelog
* Added missing strings to text domain for localization
* Added HTML5 custom comment form
* Added dashboard notification system for new theme updates
* Added Kathryn Settings metabox titles to text domain for translation
* Added anonymous data tracking system
* Added explicit GPL and Copyright notices
* Added image alt tags to call to action widget
* Removed no-longer-used code
* Updated README file
* Updated screenshot with larger image
* Updated Soliloquy to version 1.5.7

### Files Modified
* /style.css
* /functions.php
* /home.php
* /changelog.md (new file added)
* /README.txt (file removed)
* /README.md (new file added)
* /screenshot.jpg (file removed)
* /screenshot.png (new file added)
* /lib/init.php
* /lib/admin/kathryn-theme-settings.php
* /lib/functions/gforms-placeholder.php (new file added)
* /lib/functions/theme-optin.php (new file added)
* /lib/functions/update.php (new file added)
* /lib/js/clear_form_fields.js (file removed)
* /lib/js/modernizr.min.js (new file added)
* /lib/structure/comment-form.php (new file added)
* /lib/structure/footer.php
* /lib/structure/header.php
* /lib/structure/sidebar.php
* /lib/widgets/call-to-action.php
* /lib/structure/widgets/wsm-featured-posts.php
* /lib/plugins/packaged/soliloquy.zip

---

## 1.0.12 - 14 Dec 2013
* Remove duplicate constant definitions
* Update Soliloquy to verstion 1.5.6.3

### Files Modified
* /style.css (version number only)
* /functions.php
* /lib/plugins/packaged/soliloquy.php

---

## 1.0.11 - 16 Sept 2013
* Restore Genesis Simple Sidebars compatibility
* Update Soliloquy to verstion 1.5.5.3

### Files Modified
* /style.css (version number only)
* /functions.php
* /lib/structure/sidebar.php
* /lib/plugins/packaged/soliloquy.php

---

## 1.0.10 - 10 Sept 2013
* Fix CSS bug in widget titles

### Files Modified
* /style/css

---

## 1.0.9 - 03 Sept 2013
* Change forced Soliloquy activation to false
* Update Soliloquy to verstion 1.5.5.1

### Files Modified
* /style.css (version number only)
* /lib/plugins/plugins.php
* /lib/plugins/packaged/soliloquy.php

---

## 1.0.8 - 10 June 2013
* Correct Soliloquy license key
* Update Soliloquy to verstion 1.5.3

### Files Modified
* /style.css (version number only)
* /lib/init.php
* /lib/plugins/packaged/soliloquy.php

---

## 1.0.7 - 04 June 2013
* Added header "Text Size:" to text domain for translation purposes
* Removed footer credit link

### Files Modified
* /style.css (version number only)
* /lib/structure/header.php
* /lib/structure/footer.php

---

## 1.0.6 - 30 May 2013
* Fix Gravity Forms Label bug
* Update Soliloquy to version 1.5.2

### Files Modified
* /style.css
* /lib/plugins/packaged/soliloquy.zip

---

## 1.0.5 - 13 May 2013
* Update Soliloquy to version 1.5.1

### Files Modified
* /style.css (version number only)
* /lib/plugins/packaged/soliloquy.zip

---


## 1.0.4 - 24 Jan 2013
* Fix weird CSS issue with phone number in iPad landscape Safari (wasn't a problem in any other views or on iPad Chrome)


### Files Modified
* /style.css

---


## 1.0.3 - 21 Dec 2012
* Make theme compatible with Genesis Simple Sidebars plugin
* Fix minor CSS bugs
* Update Soliloquy to version 1.4.6

### Files Modified
* /style.css
* /functions.php
* /lib/structure/sidebar.php (new file added)
* /lib/plugins/packaged/soliloquy.zip

---

## 1.0.2 - 01 Nov 2012
* Update Soliloquy to version 1.4.2

### Files Modified
* /style.css (version number only)
* /lib/plugins/packaged/soliloquy.zip

---

## 1.0.1 - 29 Oct 2012
* Fix Soliloquy license key definition
* Update Soliloquy to version 1.4.1

### Files Modified:
* /style.css  (version number only)
* /lib/init.php
* /lib/admin/kathryn-theme-settings.php
* /lib/plugins/packaged/soliloquy.zip

---

## 1.0.0 - 25 Oct 2012
* Initial theme release